<!DOCTYPE html>
<html lang="fr">

<head>
  <title>Présentation projet : groupe 5</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    figure {
      border: 1px #cccccc solid;
      padding: 4px;
      margin: auto;
    }

    figcaption {
      background: rgba(0, 0, 0, 0.7);
      color: white;
      font-style: italic;
      padding: 2px;
      text-align: center;
    }
  </style>
</head>

<body>

  <div class="container-fluid p-5 bg-primary text-white text-center">
    <h1>Le jeu</h1>
    <p>Groupe 05 : Lucas LARZILLIERE, Tristan VILLETTE, Florian GAVA</p>
    <a href='ProjetS2.html' class="row-sm-4 ">
      <button type="button" class="btn btn-secondary">Retour</button>
    </a>
  </div>
  <div class="container mt-3 text-center">
    <div class="col">
      <h2>Illustration par vidéo du jeu</h2>
    </div>
    <div class="col">
      <video width="1000" height="600" controls class="row-sm-4">
        <source src="video/jeu.mp4" type="video/mp4">
      </video>
    </div>
    <div class="col">
      <p>Sur le menu, il y a trois boutons : Jouer, Crédits ainsi que Quitter.</p>
    </div>
    <div class="col">
      <p>Lorsque l'on clique sur Jouer, on a l'écran principal qui prend la majorité de la fenêtre sur la gauche,
        respectivement les scores de la poule, le renard et la vipère. Si l'on clique en bas à droite, on retourne au
        menu.
        Les obstacles sont représentés par des arbres et une couronne d'arbres entoure la zone de jeu pour éviter aux
        personnages de s'échapper.
        Les points d'apparition des personnages se situent également dans cette couronne et ils apparaissent devant au
        début du jeu.
        Lorsque les personnages meurent, ils réapparaissent aléatoirement sur la carte, dans le but d'éviter le
        "spawn-kill" (tuer un des personnages en boucle).
      </p>
    </div>
    <div class="col">
      <p> En cliquant sur les crédits, on a le nom des incroyables développeurs, ainsi que les nom des personnes ayant
        fait les illustrations et sprites.
      </p>
      <p>Le programme utilise un système de boucle d'évènements et d'état pour fonctionner.<br>
        Il y a trois états : crédits, jeu et menu. Chaque états possède ces propres évènements et ces propres
        actions.<br>
        A chaque itérations de la boucle principale, on vérifie si il ya des évènements correspondant à létat dans
        lequel on est<br>
        Puis on effectue les actions de cet état</p>
      <img src="img/boucleEvent.png">
      <figcaption> Le main </figcaption>
      <p></p>
      <div class="col">
        <p>Pour créer l'environnement, on créé d'abord une matrice avec seulement les obstacles, les points et les cases
          vides.</p>
        <p>On copie cette matrice et on rajoute les joueurs dessus afin d'avoir une version dynamique qui va changer au
          fil du jeu et une version fixe qui servira de modèle.</p>
        <img src="img/matrices.png">
        <figcaption> Les fonctions de création de matrices </figcaption>
        </p>
      </div>
      <div class="col">
        <p>Dans le programme, on a une fonction partie qui va executer plusieurs fonctions moyenneTour qui font la moyenne des scores sur un nombre de tours donnés.</p>
      </div>
    </div>
  </div>


</body>

</html>